Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006545TestLinkReportspublic2014-09-02 07:552014-09-27 16:42
Reporterscizor 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.11 (2014 Q2 - bug fixing) 
Fixed in Version1.9.12 (2014 Q3) 
Summary0006545: On report with test steps exec wrong value is used for test case execution type
Descriptionif i create test case with manual execution type and will execute it automatically i will see manual execution type for this case in report with test steps excution
Steps To Reproduce1. create manual test case
2. execute manual test case automatically
3. open report with test steps exec

expected result:

test case execution type is auto

actual result:

test case execution type is manual
Additional Informationtemporarily resolved for myself by adding this code in lib/functions/print.inc.php:

string 1249:

 if(isset($context['execution_type'])) {
      $exec_type = $context['execution_type'];
  } else {
      $exec_type = $tcInfo['execution_type'];
  }

string 1848:
  " E.platform_id,E.execution_duration, E.execution_type," .

string 1868
  $context['execution_type'] = $exec_info['execution_type'];
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon print.inc.php [^] (61,607 bytes) 2014-09-04 05:31

- Relationships
child of 0006457closedfman Availables hot-fixes for 1.9.11 & How To get full fixed package from gitorious 

-  Notes
(0021536)
fman (administrator)
2014-09-02 11:45

thanks
I'm going to check
(0021556)
fman (administrator)
2014-09-03 21:14
edited on: 2014-09-03 21:32

please explain (provide detailed steps to reproduce) how you can provide execution type WHILE executing a test case or test step on GUI, or if you provide it via API CALL or other way.

please when providing a fix, provide FULL FILES, not pieces, in order to allow simple and clear diff operations

(0021559)
scizor (reporter)
2014-09-04 05:50
edited on: 2014-09-04 05:52

I execute manual test case via api call. I switched interface language on english and understood that it's expected behaviour. What i'm talking about is run mode. There is some ambiguity in russian , I thought that execution type in detailed report is about run mode. On the other hand may it will better show run mode in detailed execution report (with steps) instead of \in addition to execution type.

(0021714)
fman (administrator)
2014-09-27 16:42

Release done

- Issue History
Date Modified Username Field Change
2014-09-02 07:55 scizor New Issue
2014-09-02 11:45 fman Note Added: 0021536
2014-09-03 21:14 fman Note Added: 0021556
2014-09-03 21:15 fman Assigned To => fman
2014-09-03 21:15 fman Status new => feedback
2014-09-03 21:24 fman Note Edited: 0021556 View Revisions
2014-09-03 21:32 fman Note Edited: 0021556 View Revisions
2014-09-04 05:31 scizor File Added: print.inc.php
2014-09-04 05:50 scizor Note Added: 0021559
2014-09-04 05:50 scizor Status feedback => assigned
2014-09-04 05:52 scizor Note Edited: 0021559 View Revisions
2014-09-06 08:12 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-09-06 08:12 fman Status assigned => resolved
2014-09-06 08:12 fman Fixed in Version => 1.9.12 (2014 Q3)
2014-09-06 08:12 fman Resolution open => fixed
2014-09-06 08:13 fman Relationship added child of 0006457
2014-09-27 16:42 fman Note Added: 0021714
2014-09-27 16:42 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker